package cn.com.countrygarden.bi.main.model.twerp.hm;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Table(name = "Tb_HSPR_Community")
public class TbHsprCommunity {
    @Id
    @Column(name = "CommID")
    private Integer commid;

    @Column(name = "BranchID")
    private Integer branchid;

    @Column(name = "CorpID")
    private Integer corpid;

    @Column(name = "CommName")
    private String commname;

    @Column(name = "CommAddress")
    private String commaddress;

    @Column(name = "Province")
    private String province;

    @Column(name = "City")
    private String city;

    @Column(name = "Borough")
    private String borough;

    @Column(name = "Street")
    private String street;

    @Column(name = "GateSign")
    private String gatesign;

    @Column(name = "CorpGroupCode")
    private String corpgroupcode;

    @Column(name = "CorpRegionCode")
    private String corpregioncode;

    @Column(name = "CommSpell")
    private String commspell;

    @Column(name = "RegDate")
    private Date regdate;

    @Column(name = "IsDelete")
    private Short isdelete;

    @Column(name = "OrganCode")
    private String organcode;

    @Column(name = "UseBeginDate")
    private Date usebegindate;

    @Column(name = "UseEndDate")
    private Date useenddate;

    @Column(name = "CommKind")
    private String commkind;

    @Column(name = "ManageTime")
    private Date managetime;

    @Column(name = "ManageKind")
    private String managekind;

    @Column(name = "CommSynchCode")
    private String commsynchcode;

    @Column(name = "SynchFlag")
    private Short synchflag;

    @Column(name = "ContractBeginDate")
    private Date contractbegindate;

    @Column(name = "ContractEndDate")
    private Date contractenddate;

    @Column(name = "SysStartDate")
    private Date sysstartdate;

    @Column(name = "SysLogDate")
    private Date syslogdate;

    @Column(name = "IsFees")
    private Short isfees;

    @Column(name = "Memo")
    private String memo;

    @Column(name = "CommType")
    private Short commtype;

    @Column(name = "Num")
    private Integer num;

    @Column(name = "CommunityName")
    private String communityname;

    @Column(name = "CommunityCode")
    private String communitycode;

    @Column(name = "CRMCode")
    private String crmcode;

    @Column(name = "fdNo")
    private String fdno;

    @Column(name = "TimeStamp")
    private byte[] timestamp;

    @Column(name = "Comms")
    private Integer comms;

    public Integer getOrgans() {
        return organs;
    }

    public void setOrgans(Integer organs) {
        this.organs = organs;
    }

    private Integer organs;

    private String organName;

    private String area;

    private String month;

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getOrganName() {

        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    /**
     * @return CommID
     */
    public Integer getCommid() {
        return commid;
    }

    /**
     * @param commid
     */
    public void setCommid(Integer commid) {
        this.commid = commid;
    }

    /**
     * @return BranchID
     */
    public Integer getBranchid() {
        return branchid;
    }

    /**
     * @param branchid
     */
    public void setBranchid(Integer branchid) {
        this.branchid = branchid;
    }

    /**
     * @return CorpID
     */
    public Integer getCorpid() {
        return corpid;
    }

    /**
     * @param corpid
     */
    public void setCorpid(Integer corpid) {
        this.corpid = corpid;
    }

    /**
     * @return CommName
     */
    public String getCommname() {
        return commname;
    }

    /**
     * @param commname
     */
    public void setCommname(String commname) {
        this.commname = commname;
    }

    /**
     * @return CommAddress
     */
    public String getCommaddress() {
        return commaddress;
    }

    /**
     * @param commaddress
     */
    public void setCommaddress(String commaddress) {
        this.commaddress = commaddress;
    }

    /**
     * @return Province
     */
    public String getProvince() {
        return province;
    }

    /**
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * @return City
     */
    public String getCity() {
        return city;
    }

    /**
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * @return Borough
     */
    public String getBorough() {
        return borough;
    }

    /**
     * @param borough
     */
    public void setBorough(String borough) {
        this.borough = borough;
    }

    /**
     * @return Street
     */
    public String getStreet() {
        return street;
    }

    /**
     * @param street
     */
    public void setStreet(String street) {
        this.street = street;
    }

    /**
     * @return GateSign
     */
    public String getGatesign() {
        return gatesign;
    }

    /**
     * @param gatesign
     */
    public void setGatesign(String gatesign) {
        this.gatesign = gatesign;
    }

    /**
     * @return CorpGroupCode
     */
    public String getCorpgroupcode() {
        return corpgroupcode;
    }

    /**
     * @param corpgroupcode
     */
    public void setCorpgroupcode(String corpgroupcode) {
        this.corpgroupcode = corpgroupcode;
    }

    /**
     * @return CorpRegionCode
     */
    public String getCorpregioncode() {
        return corpregioncode;
    }

    /**
     * @param corpregioncode
     */
    public void setCorpregioncode(String corpregioncode) {
        this.corpregioncode = corpregioncode;
    }

    /**
     * @return CommSpell
     */
    public String getCommspell() {
        return commspell;
    }

    /**
     * @param commspell
     */
    public void setCommspell(String commspell) {
        this.commspell = commspell;
    }

    /**
     * @return RegDate
     */
    public Date getRegdate() {
        return regdate;
    }

    /**
     * @param regdate
     */
    public void setRegdate(Date regdate) {
        this.regdate = regdate;
    }

    /**
     * @return IsDelete
     */
    public Short getIsdelete() {
        return isdelete;
    }

    /**
     * @param isdelete
     */
    public void setIsdelete(Short isdelete) {
        this.isdelete = isdelete;
    }

    /**
     * @return OrganCode
     */
    public String getOrgancode() {
        return organcode;
    }

    /**
     * @param organcode
     */
    public void setOrgancode(String organcode) {
        this.organcode = organcode;
    }

    /**
     * @return UseBeginDate
     */
    public Date getUsebegindate() {
        return usebegindate;
    }

    /**
     * @param usebegindate
     */
    public void setUsebegindate(Date usebegindate) {
        this.usebegindate = usebegindate;
    }

    /**
     * @return UseEndDate
     */
    public Date getUseenddate() {
        return useenddate;
    }

    /**
     * @param useenddate
     */
    public void setUseenddate(Date useenddate) {
        this.useenddate = useenddate;
    }

    /**
     * @return CommKind
     */
    public String getCommkind() {
        return commkind;
    }

    /**
     * @param commkind
     */
    public void setCommkind(String commkind) {
        this.commkind = commkind;
    }

    /**
     * @return ManageTime
     */
    public Date getManagetime() {
        return managetime;
    }

    /**
     * @param managetime
     */
    public void setManagetime(Date managetime) {
        this.managetime = managetime;
    }

    /**
     * @return ManageKind
     */
    public String getManagekind() {
        return managekind;
    }

    /**
     * @param managekind
     */
    public void setManagekind(String managekind) {
        this.managekind = managekind;
    }

    /**
     * @return CommSynchCode
     */
    public String getCommsynchcode() {
        return commsynchcode;
    }

    /**
     * @param commsynchcode
     */
    public void setCommsynchcode(String commsynchcode) {
        this.commsynchcode = commsynchcode;
    }

    /**
     * @return SynchFlag
     */
    public Short getSynchflag() {
        return synchflag;
    }

    /**
     * @param synchflag
     */
    public void setSynchflag(Short synchflag) {
        this.synchflag = synchflag;
    }

    /**
     * @return ContractBeginDate
     */
    public Date getContractbegindate() {
        return contractbegindate;
    }

    /**
     * @param contractbegindate
     */
    public void setContractbegindate(Date contractbegindate) {
        this.contractbegindate = contractbegindate;
    }

    /**
     * @return ContractEndDate
     */
    public Date getContractenddate() {
        return contractenddate;
    }

    /**
     * @param contractenddate
     */
    public void setContractenddate(Date contractenddate) {
        this.contractenddate = contractenddate;
    }

    /**
     * @return SysStartDate
     */
    public Date getSysstartdate() {
        return sysstartdate;
    }

    /**
     * @param sysstartdate
     */
    public void setSysstartdate(Date sysstartdate) {
        this.sysstartdate = sysstartdate;
    }

    /**
     * @return SysLogDate
     */
    public Date getSyslogdate() {
        return syslogdate;
    }

    /**
     * @param syslogdate
     */
    public void setSyslogdate(Date syslogdate) {
        this.syslogdate = syslogdate;
    }

    /**
     * @return IsFees
     */
    public Short getIsfees() {
        return isfees;
    }

    /**
     * @param isfees
     */
    public void setIsfees(Short isfees) {
        this.isfees = isfees;
    }

    /**
     * @return Memo
     */
    public String getMemo() {
        return memo;
    }

    /**
     * @param memo
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * @return CommType
     */
    public Short getCommtype() {
        return commtype;
    }

    /**
     * @param commtype
     */
    public void setCommtype(Short commtype) {
        this.commtype = commtype;
    }

    /**
     * @return Num
     */
    public Integer getNum() {
        return num;
    }

    /**
     * @param num
     */
    public void setNum(Integer num) {
        this.num = num;
    }

    /**
     * @return CommunityName
     */
    public String getCommunityname() {
        return communityname;
    }

    /**
     * @param communityname
     */
    public void setCommunityname(String communityname) {
        this.communityname = communityname;
    }

    /**
     * @return CommunityCode
     */
    public String getCommunitycode() {
        return communitycode;
    }

    /**
     * @param communitycode
     */
    public void setCommunitycode(String communitycode) {
        this.communitycode = communitycode;
    }

    /**
     * @return CRMCode
     */
    public String getCrmcode() {
        return crmcode;
    }

    /**
     * @param crmcode
     */
    public void setCrmcode(String crmcode) {
        this.crmcode = crmcode;
    }

    /**
     * @return fdNo
     */
    public String getFdno() {
        return fdno;
    }

    /**
     * @param fdno
     */
    public void setFdno(String fdno) {
        this.fdno = fdno;
    }

    /**
     * @return TimeStamp
     */
    public byte[] getTimestamp() {
        return timestamp;
    }

    /**
     * @param timestamp
     */
    public void setTimestamp(byte[] timestamp) {
        this.timestamp = timestamp;
    }

    public Integer getComms() {
        return comms;
    }

    public void setComms(Integer comms) {
        this.comms = comms;
    }
}